Skip to main content

Update Conversation Tracker

Updates an existing conversation tracker.

Endpoint​

PUT /api/conversation-trackers/{platform}/{id}

Path Parameters​

ParameterTypeDescription
platformstringThe platform of the tracker (reddit or hn)
idstringThe unique identifier of the tracker

Request Body​

Column nameTypeDescription
urlstringThe URL of the conversation to track. For Reddit, it should start with https://www.reddit.com/. For Hacker News, it should start with https://news.ycombinator.com/.
api_webhook_urlstringURL to send webhook notifications to.
slack_webhook_urlstringSlack webhook URL for notifications.
enabledbooleanWhether the tracker should be active. Use "true" or "false".

Example Request​

curl -X PUT "https://api.kwatch.io/api/conversation-trackers/reddit/1" \
-H "Authorization: Bearer your-api-key-here" \
-H "Content-Type: application/json" \
-d '{
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"enabled": false,
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}'

Example Response​

{
"id": 1,
"enabled": false,
"created_at": "2026-02-23T12:13:28.081057+01:00",
"updated_at": "2026-02-23T12:15:00.000000+01:00",
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}